Bug 1656032 - [DOCS] cloud provider config file must be located into "/etc/origin/cloudprovider"
Summary: [DOCS] cloud provider config file must be located into "/etc/origin/cloudprov...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: Gaoyun Pei
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 13:54 UTC by Daein Park
Modified: 2019-01-18 21:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-18 21:40:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Daein Park 2018-12-04 13:54:09 UTC
Document URL: 

* Configuring for OpenStack
 [https://docs.openshift.com/container-platform/3.11/install_config/configuring_openstack.html]

Section Number and Name: 

* Configuring OpenStack Variables

* Manually Configuring OpenShift Container Platform Masters for OpenStack

* Manually Configuring OpenShift Container Platform Nodes for OpenStack

* Configuring Zone Labels for Dynamically Created OpenStack PVs

Describe the issue: 

As of v3.10, master api and controllers have been implemented as static pods[0], and their pod have mount point which can be refer the related configuration files, such as master-config.yaml, certificates and cloud provider config files.

So the mount point has limited as "/etc/origin/cloudprovider" in their pod for looking for the cloud provider config files. But the sections in the docs have been written as "/etc/cloud.conf", it's not correct. 

[0] Control Plane Static Pods [https://docs.openshift.com/container-platform/3.11/architecture/infrastructure_components/kubernetes_infrastructure.html#control-plane-static-pods]

Suggestions for improvement: 

The location of config file must be in "/etc/origin/cloudprovider", and the config file also had better to change the config filename as "openstack.conf" like similar section of aws, azure and vsphere.

Additional information: 

Look other cloud provider sections as follows, their config files have been located in "/etc/origin/cloudprovier". Only OpenStack is different path.

* Configuring AWS Variables [https://docs.openshift.com/container-platform/3.11/install_config/configuring_aws.html#configuring-aws-variables]

* Option 1: Configuring OpenShift Container Platform for GCP using Ansible [https://docs.openshift.com/container-platform/3.11/install_config/configuring_gce.html#gce-configuring-masters-ansible_configuring-for-GCE]

Comment 1 Kathryn Alexander 2018-12-13 13:54:20 UTC
Daein opened a PR here: https://github.com/openshift/openshift-docs/pull/13088

Xiaoli, will you please suggest a reviewer?

Comment 2 Gaoyun Pei 2018-12-14 07:21:32 UTC
Add comment in the proposed PR, thanks.

Comment 3 Kathryn Alexander 2019-01-04 13:32:04 UTC
Shen Lao approved the change on the first pr, and Daein added some more improvements from Gaoyun on this PR: https://github.com/openshift/openshift-docs/pull/13232

I'm merging the new PR.


Note You need to log in before you can comment on or make changes to this bug.